[ooo-build-commit] .: bin/tinbuild

Thorsten Behrens thorsten at kemper.freedesktop.org
Thu Aug 26 12:45:57 PDT 2010


 bin/tinbuild |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

New commits:
commit 514f470c1c2910ed12c8b4666e9a662eaffc0988
Author: Thorsten Behrens <tbehrens at novell.com>
Date:   Thu Aug 26 21:45:01 2010 +0200

    Added necessary bin/g pull -r step to tinbuild updating

diff --git a/bin/tinbuild b/bin/tinbuild
index 2f18079..c2b736e 100755
--- a/bin/tinbuild
+++ b/bin/tinbuild
@@ -133,12 +133,12 @@ while true; do
 
 	# new commits?
 	while true; do
-		old_head=$(git rev-parse --verify HEAD) && err_msg=$(git pull -r 2>&1) || 
+		old_head=$(git rev-parse --verify HEAD) && err_msg=$(git pull -r 2>&1) && err_msg2=$(bin/g pull -r 2>&1) ||
 		{
 			msg=
 			test -z "$prev_head" || msg=$'\n' "Leaving build-$prev_head around, exiting now"
 
-			reportError owner "git repo f*cked up - error is:" $'\n' $err_msg "$msg"
+			reportError owner "git repo f*cked up - error is:" $'\n' $err_msg $err_msg2 "$msg"
 		}
 		new_head=$(git rev-parse --verify HEAD)
 		


More information about the ooo-build-commit mailing list